#include "program.h"
#include "shape.h"
#include "Player.h"
#include "Prop.h"

static
void play() {
    SpawnProp(MakeVector(2.f, 0.f),
        sprite_from_spritesheet(spritesheet_load("assets/bag.png", IVectorFrom(512)), 0),
        shape_new((Vector[]){
            MakeVector(-0.2, -0.075),
            MakeVector( 0.2, -0.075),
            MakeVector( 0.2, 0.075),
            MakeVector(-0.2, 0.075)
        }, 4),
        MakeVector(0.5f, .93f)
    );
    SpawnPlayer(ZeroVector);
}

static
void tick() {}

static
void draw() {}

int main(int argc, char* argv[]) {
    struct ProgramSettings config = {
        .target_fps = 80,
        .title = "fencer",
        .view_resolution = {1920, 1080},
        .on_play = &play,
        .on_tick = &tick,
        .on_draw = &draw
    };
    program_run(&config);
}
